## rb-recorder rb-recorder — |

## Synopsis

    enum        RBRecorderError;
    enum        RBRecorderAction;
    enum        RBRecorderResponse;
    enum        RBRecorderResult;
    #define     RB_RECORDER_ERROR
    GQuark      rb_recorder_error_quark         (void);
                RBRecorderPrivate;
    RBRecorder* rb_recorder_new                 (GError **error);
    void        rb_recorder_open                (RBRecorder *recorder,
                                                 const char *uri,
                                                 const char *cdtext,
                                                 GError **error);
    gboolean    rb_recorder_opened              (RBRecorder *recorder);
    void        rb_recorder_close               (RBRecorder *recorder,
                                                 GError **error);
    void        rb_recorder_write               (RBRecorder *recorder,
                                                 GError **error);
    void        rb_recorder_pause               (RBRecorder *recorder,
                                                 GError **error);
    char*       rb_recorder_get_default_device  (void);
    char*       rb_recorder_get_device          (RBRecorder *recorder,
                                                 GError **error);
    gboolean    rb_recorder_set_device          (RBRecorder *recorder,
                                                 const char *device,
                                                 GError **error);
    void        rb_recorder_set_tmp_dir         (RBRecorder *recorder,
                                                 const char *path,
                                                 GError **error);
    gint64      rb_recorder_get_media_length    (RBRecorder *recorder,
                                                 GError **error);
    int         rb_recorder_burn                (RBRecorder *recorder,
                                                 int speed,
                                                 GError **error);
    int         rb_recorder_burn_cancel         (RBRecorder *recorder);
    gboolean    rb_recorder_enabled             (void);

## Description

## Details

### enum RBRecorderError

    typedef enum
    {
            RB_RECORDER_ERROR_NO_INPUT_PLUGIN,
            RB_RECORDER_ERROR_NO_TYPEFIND_PLUGIN,
            RB_RECORDER_ERROR_NO_DEMUX_PLUGIN,
            RB_RECORDER_ERROR_NO_AUDIO,
            RB_RECORDER_ERROR_GENERAL,
            RB_RECORDER_ERROR_INTERNAL
    } RBRecorderError;

### enum RBRecorderAction

    typedef enum {
            RB_RECORDER_ACTION_UNKNOWN,
            RB_RECORDER_ACTION_FILE_CONVERTING,
            RB_RECORDER_ACTION_DISC_PREPARING_WRITE,
            RB_RECORDER_ACTION_DISC_WRITING,
            RB_RECORDER_ACTION_DISC_FIXATING,
            RB_RECORDER_ACTION_DISC_BLANKING
    } RBRecorderAction;

### enum RBRecorderResponse

    typedef enum {
    	RB_RECORDER_RESPONSE_NONE   =  0,
    	RB_RECORDER_RESPONSE_CANCEL = -1,
    	RB_RECORDER_RESPONSE_ERASE  = -2,
    	RB_RECORDER_RESPONSE_RETRY  = -3
    } RBRecorderResponse;

### enum RBRecorderResult

    typedef enum {
    	RB_RECORDER_RESULT_ERROR,
    	RB_RECORDER_RESULT_CANCEL,
    	RB_RECORDER_RESULT_FINISHED,
    	RB_RECORDER_RESULT_RETRY
    } RBRecorderResult;

### RB_RECORDER_ERROR

    #define RB_RECORDER_ERROR rb_recorder_error_quark ()

### rb_recorder_error_quark ()

    GQuark      rb_recorder_error_quark         (void);

Returns : |

### RBRecorderPrivate

    typedef struct _RBRecorderPrivate RBRecorderPrivate;

### rb_recorder_new ()

    RBRecorder* rb_recorder_new                 (GError **error);

`error` : |
Returns : |

### rb_recorder_open ()

    void        rb_recorder_open                (RBRecorder *recorder,
                                                 const char *uri,
                                                 const char *cdtext,
                                                 GError **error);

`recorder` : |
`uri` : |
`cdtext` : |
`error` : |

### rb_recorder_opened ()

    gboolean    rb_recorder_opened              (RBRecorder *recorder);

`recorder` : |
Returns : |

### rb_recorder_close ()

    void        rb_recorder_close               (RBRecorder *recorder,
                                                 GError **error);

`recorder` : |
`error` : |

### rb_recorder_write ()

    void        rb_recorder_write               (RBRecorder *recorder,
                                                 GError **error);

`recorder` : |
`error` : |

### rb_recorder_pause ()

    void        rb_recorder_pause               (RBRecorder *recorder,
                                                 GError **error);

`recorder` : |
`error` : |

### rb_recorder_get_default_device ()

    char*       rb_recorder_get_default_device  (void);

Returns : |

### rb_recorder_get_device ()

    char*       rb_recorder_get_device          (RBRecorder *recorder,
                                                 GError **error);

`recorder` : |
`error` : |
Returns : |

### rb_recorder_set_device ()

    gboolean    rb_recorder_set_device          (RBRecorder *recorder,
                                                 const char *device,
                                                 GError **error);

`recorder` : |
`device` : |
`error` : |
Returns : |

### rb_recorder_set_tmp_dir ()

    void        rb_recorder_set_tmp_dir         (RBRecorder *recorder,
                                                 const char *path,
                                                 GError **error);

`recorder` : |
`path` : |
`error` : |

### rb_recorder_get_media_length ()

    gint64      rb_recorder_get_media_length    (RBRecorder *recorder,
                                                 GError **error);

`recorder` : |
`error` : |
Returns : |

### rb_recorder_burn ()

    int         rb_recorder_burn                (RBRecorder *recorder,
                                                 int speed,
                                                 GError **error);

`recorder` : |
`speed` : |
`error` : |
Returns : |

### rb_recorder_burn_cancel ()

    int         rb_recorder_burn_cancel         (RBRecorder *recorder);

`recorder` : |
Returns : |

### rb_recorder_enabled ()

    gboolean    rb_recorder_enabled             (void);

Returns : |